﻿@model IEnumerable<eCommerce.Services.Model.Bank>
@{
    ViewBag.Title = "Bancos";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Listado de Bancos</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Banks/BankUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVO BANCO</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_BankList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            //setActionsDialogs();
        })

        function fDelete(Id)
        {
            $.ajax({
                url: "/Banks/BankDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    //setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function fDeleteDialog(bankId)
        {
            swal({
                title: "",
                text: "Confirma su acción de Eliminar?",
                showCancelButton: true,
                confirmButtonColor: '#46be8a',
                confirmButtonText: 'Eliminar',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
         function (isConfirm) {
             if (isConfirm) {
                 fDelete(bankId);
             }
             else {
                 swal("Operación cancelada");
             }
         });

        }

        function setActionsDialogs()
        {
            $('.remove-row').on("click", function () {
                
            });
        }

    </script>

}

